ShanghaineseIPAOperator --- IPA for Shanghainese
================================================

:class:`cjklib.reading.operator.ShanghaineseIPAOperator` is an
implementation of a transcription of Shanghainese into the
*International Phonetic Alphabet* (*IPA*).

Features:

- Tones can be given as tone contour numbers (e.g. 55, or superscript ⁵⁵),
  or IPA tone bar characters,
- strict tonal rules can be enforced depending the syllable's initial being
  voiced or voiceless and the final having a glottal stop,
- splitting of syllables into onset and rhyme.

.. index::
   pair: Shanghainese; IPA

Class
-----

.. currentmodule:: cjklib.reading.operator

.. autoclass:: cjklib.reading.operator.ShanghaineseIPAOperator
   :show-inheritance:
   :members:
   :undoc-members:
